.\" bm# 0000002119
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)comm.C	1.1);


.ds mc 
.ds rv Revision 1
.TH COMM C
.SH Name
comm \- Selects or rejects lines common to two sorted files.
.SH Syntax
.B comm
[
.B \-
[
.B 123
]
] file1 file2
.SH Description
.I Comm\^
reads
.I file1\^
and
.IR file2 ,
which
should be ordered in \s-1ASCII\s0 collating sequence (see
.IR sort\| (C)),
and produces a three-column output: lines only in
.IR file1 ;
lines only in
.IR file2\| ;
and lines in both files.
The filename
.B \-
means the standard input.
.PP
Flags 1, 2, or 3 suppress printing of the corresponding
column.
Thus
.B comm
.B \-12
prints only the lines common to the two files;
.B comm
.B \-23
prints only lines in the first file but not in the second;
.B comm
.B \-123
is a no-op.
.PP
.SH "See Also"
cmp(C), diff(C), sort(C), uniq(C)
