.\" bm# 0000002080
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)kill.C	1.1);


.ds mc 
.ds rv Revision 1
.TH KILL C
.SH Name
kill \- Terminates a process.
.SH Syntax
.B kill
[
.BR \- signo
]
processid ...
.SH Description
.I Kill\^
sends signal 15 (terminate) to the specified processes.
This will normally kill processes that do not catch or 
ignore the signal.
The process number of each asynchronous process
started with \f3&\fP is reported by the shell
(unless more than one process is started in a pipeline,
in which case the number of the last process in
the pipeline is reported).
Process numbers can also be found by using
.IR ps (C).
.PP
For example, if process number 0 is specified, all processes
in the process group are signaled.
.PP
The killed process must belong
to the current user unless
he is the super-user.
.PP
If a signal number preceded by \f3\-\fP is given
as the first argument, that signal is sent instead of
the terminate signal
(see
.IR  signal (S)).
In particular ``kill \-9 .\|.\|.'' is a sure kill.
.SH "See Also"
ps(C), sh(C), kill(S), signal(S)
