.\" bm# 0000002074
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)look.C	1.1);


.ds mc 
.ds rv Revision 1
.TH LOOK C 
.SH Name
look \- Finds lines in a sorted list.
.SH Syntax
.B look
[
.B \-df
]
string
[ file ]
.SH Description
.I Look
consults a sorted
.I file
and prints all lines that begin with
.IR string .
It uses binary search.
.PP
The options 
.B d
and
.B f
affect comparisons as in
.IR  sort (C):
.TP 4
.B \-d
\&Dictionary order:
only letters, digits,
tabs and blanks participate in comparisons.
.TP 4
.B  \-f
Fold.
Uppercase letters compare equal to lowercase.
.PP
If no
.I file
is specified,
.I /usr/dict/words
is assumed with collating sequence
.B \-df.
.SH Files
/usr/dict/words
.SH "See Also"
sort(C), grep(C)
