.\" bm# 0000002154
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)wait.C	1.1);


.ds mc 
.ds rv Revision 1
.TH WAIT C 
.SH Name
wait \- Awaits completion of background processes.
.SH Syntax
.B wait
.SH Description
Waits until all background processes started with
an ampersand 
.RB ( & )
have finished
and reports on abnormal terminations.
.PP
Because the
.IR  wait (S)
system call must be executed in the parent process,
the shell itself executes
.IR wait ,
without creating a new process.
.SH "See Also"
sh(C)
.SH Notes
Not all the processes of a 
pipeline with three or more stages 
are children of the shell, and
thus cannot be waited for.
