.\" bm# 0000002151
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)what.C	1.1);


.ds mc 
.ds rv Revision 1
.tr ~"
.TH WHAT C
.SH Name
what \- Identifies files.
.SH Syntax
.B what
files
.SH Description
.I What\^
searches the given files for all occurrences
of the pattern 
\fB@(#)\fR
and prints out what follows until the first tilde
.RB (\| ~ \|),
greater-than sign
.RB (\| > \|),
new-line,
backslash
.RB (\| \e \|)
or null character.
The 
.SM SCCS
command
.IR get (CP)
substitutes 
this string as part of the @(#) string.
.PP
For example, if the shell procedure in file 
.B print
contains
.PP
.RS 5
#  @(#)this is the print program 
.br
#  @(#)syntax: print [files]
.br
pr $* | lpr
.RE
.PP
then the command
.PP
.RS 5
what\0print
.RE
.PP
displays the name of the file 
.B print
and the identifying strings in that file:
.PP
.RS 5
.TP 8
print:
.br
this is the print program 
.br
syntax: print [files]
.RE
.PP
.I What\^
is intended to be used with the 
.IR get (CP)
command,
which automatically inserts identifying information,
but it can also be used where the information is inserted manually.
.SH "See Also"
admin(CP),
get(CP)
'\"	cdc(CP),
'\"	comb(CP), 
'\"	delta(CP),
'\"	help(CP)
'\"	prs(CP),
'\"	rmdel(CP),
'\"	sccsdiff(CP),
'\"	unget(CP),
'\"	val(CP)
'\"	.SH Diagnostics
'\"	Use
'\"	.IR help (C)
'\"	for explanations.
'\"	.SH Notes
'\"	It's possible that an unintended occurrence of the pattern
'\"	.B @(#)
'\"	could be found just by chance, 
'\"	but this causes no harm in nearly all cases.
.tr ~~
